# API

All API Methods

```
	double getEssence(OfflinePlayer player);
	void giveEssence(OfflinePlayer player, double value);
	void setEssence(OfflinePlayer player, double value);
	long getCane(OfflinePlayer player);
	void removeEssence(OfflinePlayer player, double value);
	void setCane(OfflinePlayer player, long value);
	long getPotato(OfflinePlayer player);
	long getCarrot(OfflinePlayer player);
	long getBeetroot(OfflinePlayer player);
	long getWheat(OfflinePlayer player);
	long getCocoaBean(OfflinePlayer player);
	long getNetherWart(OfflinePlayer player);
	long getPumpkin(OfflinePlayer player);
	long getMelon(OfflinePlayer player);
	long getCrops(OfflinePlayer player);
	void setPotato(OfflinePlayer player, long value);
	void setCarrot(OfflinePlayer player, long value);
	void setBeetroot(OfflinePlayer player, long value);
	void setWheat(OfflinePlayer player, long value);
	void setCocoaBean(OfflinePlayer player, long value);
	void setNetherWart(OfflinePlayer  player, long value);
	void setPumpkin(OfflinePlayer player, long value);
	void setMelon(OfflinePlayer player, long value);
	void setCrops(OfflinePlayer player, long value);
	
	
   Events: RivalBlockBreakEvent(Player player, Block crop, int amount)
   	   HoeEssenceReceiveEnchant, HoeEssenceReceivePreEnchantEvent, HoeMoneyReceiveEnchant
   
 
```

{% hint style="success" %}
API: <https://docs.rivaldev.xyz/general/apis>
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rivaldev.xyz/rival-tools/rival-harvester-hoes/api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
